Subject: Re: CCL: CCL:Object-oriented means for computational chemist

From: Konrad Hinsen <[email-masked]>
Date: Fri, 8 Aug 1997 15:27:15 +0200

> I found the discussions on OO programming very useful!  However, 
> there is a point that I would like to bring up.  That is, is it 
> possible to implement an OO design using a non-OO language?  The main 

Yes, but it's more difficult and requires more discipline. People
who ignore OO language because of the learning curve will probably
not prefer OO implementations in non-OO languages.

> functions.  However, implementing inheritance is impossible without 
> an OO language.  Inheritance is pobably the most important feature of 

Whether or not inheritance is the most important OO feature is debatable,
but it clearly can be implemented in non-OO languages using various
pointer tables (that's in fact what OO language compilers produce at
the machine language level). Several OO designs have been implemented in this
fashion, but you need a good reason to justify the effort.
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                          | E-Mail: [email-masked]
Laboratoire de Dynamique Moleculaire   | Tel.: +33-4.76.88.99.28
Institut de Biologie Structurale       | Fax:  +33-4.76.88.54.94
41, av. des Martyrs                    | Deutsch/Esperanto/English/
38027 Grenoble Cedex 1, France         | Nederlands/Francais
-------------------------------------------------------------------------------